<?php

/**
 * @file
 * Provides metadata for the line item entity.
 */

/**
 * Implements hook_entity_property_info().
 */
function studyroom_reservation_entity_property_info() {
  $info = array();

  // Add meta-data about the basic commerce_line_item properties.
  $properties = &$info['studyroom_reservation']['properties'];

  $properties['reservation_id'] = array(
    'label' => t('Reservation ID'),
    'description' => t('The internal numeric ID of the reservation.'),
    'type' => 'integer',
    'schema field' => 'reservation_id',
  );
  $properties['space_id'] = array(
    'label' => t('Space ID'),
    'description' => t('The space_id of this reservation.'),
    'type' => 'integer',
    'schema field' => 'space_id',
  );
  $properties['uid'] = array(
    'label' => t('User ID'),
    'description' => t('The user_id of the owner of this reservation.'),
    'type' => 'integer',
    'schema field' => 'uid',
  );
  $properties['duration'] = array(
    'label' => t('duration'),
    'description' => t('The duration of this reservation.'),
    'type' => 'integer',
    'getter callback' => 'entity_property_verbatim_get',
    'setter callback' => 'entity_property_verbatim_set',
    'required' => TRUE,
    'schema field' => 'duration',
  );
  $properties['occupancy'] = array(
    'label' => t('occupancy'),
    'description' => t('The occupancy of this reservation.'),
    'type' => 'integer',
    'getter callback' => 'entity_property_verbatim_get',
    'setter callback' => 'entity_property_verbatim_set',
    'required' => TRUE,
    'schema field' => 'occupancy',
  );
  $properties['created'] = array(
    'label' => t('Date created'),
    'description' => t('The date the space was created.'),
    'type' => 'date',
    'setter callback' => 'entity_metadata_verbatim_set',
    'schema field' => 'created',
  );
  $properties['changed'] = array(
    'label' => t('Date changed'),
    'description' => t('The date the space was most recently updated.'),
    'type' => 'date',
    'schema field' => 'changed',
  );

  return $info;
}
